GLUQUADRICTEXTURE(3G)

NAME
gluQuadricTexture - specify if texturing is desired for quadrics

C SPECIFICATION

void gluQuadricTexture(GLUquadric* quad, GLboolean texture);

PARAMETERS

quad
    Specifies the quadrics object (created with gluNewQuadric()).

texture
    Specifies a flag indicating if texture coordinates should be generated.

DESCRIPTION

gluQuadricTexture specifies if texture coordinates should be generated for quadrics rendered with quad. If the value of texture is GLU_TRUE, then texture coordinates are generated, and if texture is GLU_FALSE, they are not. The initial value is GLU_FALSE.

The manner in which texture coordinates are generated depends upon the specific quadric rendered.

SEE ALSO

gluNewQuadric(), gluQuadricDrawStyle(), gluQuadricNormals(), gluQuadricOrientation()

COPYRIGHT

Copyright © 1991-2006 Silicon Graphics, Inc. This document is licensed under the SGI Free Software B License. For details, see http://oss.sgi.com/projects/FreeB/.